*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
  color: #f1f1f1;
  font-size: 20px;
  line-height: 1.4em;

  @media (max-width: 999px) {
      font-size: 17px;
  }
}

body{
  background-color: black;
}

h1{
  display: none;
}

p{
  padding: 5px;
}

#title,
#game-over{
  margin-top: 50px;
  margin-bottom: 80px;
  margin-inline: auto;
  width: 80%;
  display: flex;
  justify-content: center;
}

#game-over{
  margin-top: 30px;
}

#wrapper{
  background-color: rgb(65, 65, 65);
  min-height: 100vh;
  max-width: 1050px;
  margin: auto;
}

#game-container{
  /* margin: 50px; */
  position: relative;
  margin-inline: auto;
  padding: 50px;  /*do not just change, is used in script.js*/
  max-width: 1050px;

  @media (max-width: 550px) {
      padding: 25px; /*do not just change, is used in script.js*/
  }
}

section{
  margin: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

button{
  font-size: 20px;
  background-color: rgb(170, 141, 216);
  padding: 20px 40px;
  border: 0px;
  border-radius: 50px;
  cursor: pointer;
  box-shadow: inset 0px 4px 6px rgba(255, 255, 255, 0.3);
  background-color: rgb(170, 141, 216);
  
  @media (max-width: 999px) {
    font-size: 16px;
    padding: 15px 30px;
  }
}

/* Default button style */
#audio-btns button {
  display: flex;
  margin: 15px;
  padding: 10px;
  border-radius: 50%;
  transition: all 0.3s ease;

  @media (max-width: 999px) {
    padding: 7px;
  }
}

button img {
  border-radius: 50%;
  height: 50px;

  @media (max-width: 999px) {
    height: 35px;
  }
}

/* Hover effect */
button:hover {
  box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.15);
  background-color: hsl(263, 49%, 75%);
}

/* Style for active button */
/* #audio-btns button.active { */
button.active {
  box-shadow: inset 0px 0px 10px 6px rgba(0, 0, 0, 0.3);
  background-color: hsl(0, 0%, 60%);
}

fieldset {
  border: 1px solid white;
  padding: 20px;
  text-align: center;
}

fieldset h2{
  font-size: 25px;
  font-weight: 400;
  padding-inline: 20px;
}

input[type="radio"] {
  visibility: hidden;
  height: 0;
  width: 0;
}

#selections{
  margin-bottom: 50px;
}

#selections button{
  width: 150px;
  margin: 10px;

  @media (max-width: 999px) {
     width: 120px;
    }
}

#size-options{
  display: flex;
  padding: 0 15px 10px 15px;

  @media (max-width: 550px) {
     flex-direction: column;
    }
}

#audio-btns{
  margin-top: 10px;
  margin-bottom: 10px;
  display: flex;
  flex-direction: row;
}

#start-screen,
#game-screen{
  margin: 0;
  margin-bottom: 20px;
}

#game-screen,
#end-screen{
  display: none;
}

#game-field{
  margin: 20px;
  position: relative;
}

#statistics{
  /* padding: 20px; */
  text-align: center;
}

#statistics h2{
  padding-bottom: 15px;
}


#stats-container *{
  padding-inline: 15px;
}

.field{
  background-color: #f1f1f1;
  /* display: inline-block; */
  /* border: .1px solid black; */
  display: flex;
  align-items: center;
  justify-content: center;
}

.isPlayer{
  position: absolute;
  width: 80%;
  height: 80%;
  /* background-color: blue; */
  z-index: 3;
  text-align: center;
}

.isMonster{
  position: absolute;
  width: 80%;
  height: 80%;
  z-index: 2;
}

.isWall{
  background-color: #1f1f1f;
}

.coin{
  position: absolute;
  z-index: 1;
  width: 50%;
  height: 50%;
  background-color: rgb(245, 228, 0);
  border-radius: 50%;
}

#message-level{
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 40px 40px;
  /* width: 70%; */
  transform: translate(-50%, -50%);
  min-height: 50px;
  text-align: center;
  background-color:hsl(263, 49%, 25%);
  z-index: 99;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  display: none;
}

#message-level p{
  padding-top: 20px;
  font-size: 30px;
  
    @media (max-width: 999px) {
      font-size: 25px;
    }
}

.centered{
  margin: auto;
}

#instructions{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background-color: hsl(263, 49%, 25%);
  /* width: 100%; */
  margin: 40px;
  margin-top: 60px;
  padding:40px;
}

#instructions *{
  margin-bottom: 10px;
  padding: 0;
  text-align: left;
}

ul {
  font-weight: 200;
  list-style-position: outside;
  margin-left: 15px;
}

li{
  /* letter-spacing: 0.05em; */
  line-height: 1.5em;
}

.emph{
  font-weight: 600;
}

#instructions h2{
  padding-bottom: 10px;
  font-size: 30px;

  @media (max-width: 999px) {
      font-size: 22px;
    }
}

#instructions h3{
  padding-top: 25px;
  padding-bottom: 5px;
  font-size: 22px;

  @media (max-width: 999px) {
      font-size: 18px;
    }
}

#message-level-img{
  width: 60px;
}

#end-screen button{
  margin-top: 50px;
}


#touch-warning {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: hsla(262, 48%, 15%, 0.9);
  color: white;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  z-index: 100;
  font-size: 18px;
  max-width: 80%;
  display: none;
}

footer{
  margin-top: 100px;
}

footer,
footer *{
  font-size: 16px;
  text-align: center;
  text-decoration: none;
}

footer svg{
  fill: #f1f1f1;
  height: 70px;
  padding: 10px 15px;
}